<header class='d-flex flex-wrap align-item-center justifu-content-center justify-content-md-between py-3 mb-4 border-bottom'>
    <%= link_to root_path do %>
      <%= image_tag('logo.png', width: '140px') %>
    <% end %>
    
    <ul class='nav col-12 col-lg-auto me-lg-auto mb-2 justify-content-center mb-md-0'>
      <li><%= link_to t('header.menu.news'), news_path, class: current_link_class(news_path) %></li>
      <li><%= link_to t('header.menu.cooking'), cooking_path, class: current_link_class(cooking_path) %></li>
      <li><%= link_to t('header.menu.roastering'), roastering_path, class: current_link_class(roastering_path) %></li>
      <li><%= link_to t('header.menu.other'), other_path, class: current_link_class(other_path) %></li>
      <li><%= link_to t('header.menu.about'), about_path, class: current_link_class(about_path) %></li>
    </ul>
    
    <%- if user_signed_in? %>
      <div class="dropdown text-end">
        <a href="#" class="d-block link-dark text-decoration-none dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
          <img src="https://github.com/mdo.png" alt="mdo" width="32" height="32" class="rounded-circle">
        </a>
         <ul class="dropdown-menu text-small" style="">
          <li><%= link_to t('articles.buttons.new'), new_article_path, class: 'dropdown-item' %></li>
          <li><%= link_to t('devise.account'), edit_user_registration_path, class: 'dropdown-item' %></li>
          <li><hr class="dropdown-divider"></li>
          <li><%= button_to t('devise.logout'), destroy_user_session_path, method: :delete, form: {turbolink: false}, class: 'dropdown-item' %></li>
        </ul>
      </div>
    <% else %>
    <div class='text-end'>
      <%= link_to new_user_session_path do %><button type='button' class='btn btn-primary me-2'><%= t('devise.sessions.new.sign_in') %></button><% end %>
      <%= link_to new_user_registration_path do %><button type='button' class='btn btn-warning'><%= t('devise.registrations.new.sign_up') %></button><% end %>
    </div>
    <% end %>
</header>